### Enumeration

# Gtk StackTransitionType

#### Declaration

    enum Gtk.StackTransitionType

#### Description [src]

Possible transitions between pages in a `GtkStack` widget.

New values may be added to this enumeration over time.

#### Members

Name | Description
--- | ---
`GTK_STACK_TRANSITION_TYPE_NONE` | No transition.
`GTK_STACK_TRANSITION_TYPE_CROSSFADE` | A cross-fade.
`GTK_STACK_TRANSITION_TYPE_SLIDE_RIGHT` | Slide from left to right.
`GTK_STACK_TRANSITION_TYPE_SLIDE_LEFT` | Slide from right to left.
`GTK_STACK_TRANSITION_TYPE_SLIDE_UP` | Slide from bottom up.
`GTK_STACK_TRANSITION_TYPE_SLIDE_DOWN` | Slide from top down.
`GTK_STACK_TRANSITION_TYPE_SLIDE_LEFT_RIGHT` | Slide from left or right according to the children order.
`GTK_STACK_TRANSITION_TYPE_SLIDE_UP_DOWN` | Slide from top down or bottom up according to the order.
`GTK_STACK_TRANSITION_TYPE_OVER_UP` | Cover the old page by sliding up.
`GTK_STACK_TRANSITION_TYPE_OVER_DOWN` | Cover the old page by sliding down.
`GTK_STACK_TRANSITION_TYPE_OVER_LEFT` | Cover the old page by sliding to the left.
`GTK_STACK_TRANSITION_TYPE_OVER_RIGHT` | Cover the old page by sliding to the right.
`GTK_STACK_TRANSITION_TYPE_UNDER_UP` | Uncover the new page by sliding up.
`GTK_STACK_TRANSITION_TYPE_UNDER_DOWN` | Uncover the new page by sliding down.
`GTK_STACK_TRANSITION_TYPE_UNDER_LEFT` | Uncover the new page by sliding to the left.
`GTK_STACK_TRANSITION_TYPE_UNDER_RIGHT` | Uncover the new page by sliding to the right.
`GTK_STACK_TRANSITION_TYPE_OVER_UP_DOWN` | Cover the old page sliding up or uncover the new page sliding down, according to order.
`GTK_STACK_TRANSITION_TYPE_OVER_DOWN_UP` | Cover the old page sliding down or uncover the new page sliding up, according to order.
`GTK_STACK_TRANSITION_TYPE_OVER_LEFT_RIGHT` | Cover the old page sliding left or uncover the new page sliding right, according to order.
`GTK_STACK_TRANSITION_TYPE_OVER_RIGHT_LEFT` | Cover the old page sliding right or uncover the new page sliding left, according to order.
`GTK_STACK_TRANSITION_TYPE_ROTATE_LEFT` | Pretend the pages are sides of a cube and rotate that cube to the left.
`GTK_STACK_TRANSITION_TYPE_ROTATE_RIGHT` | Pretend the pages are sides of a cube and rotate that cube to the right.
`GTK_STACK_TRANSITION_TYPE_ROTATE_LEFT_RIGHT` | Pretend the pages are sides of a cube and rotate that cube to the left or right according to the children order.